--[[
  Author: Atrophenus
  Version: 1.0
  Description: Plugin to share whatever you are targeting to group, guild, or active channel

  Set Up:
      No Set Up necessary simply type in order to use program.
        /sharetargetgroup
        /sharetargetguild
        /sharetargetchannel
]]


ShareTarget = {}
ShareTargetFunc = {}

--Creates Rounding funciton
function ShareTargetFunc.rounding(number)
  if (number - math.floor(number) >= .5) then
    local newnum = math.ceil(number);
    return newnum;
  else 
    local newnum = math.floor(number);
    return newnum;
  end 
end

--Creates the function to share your target to group
function ShareTarget.sharetargetgroup()
    local name, health, distance, factionid, guild, ship = GetTargetInfo()
    local msg = ""
    local faction = FactionName[factionid]
  

    if name ~= nil then
      local distanceR = ShareTargetFunc.rounding(distance)
        if health == nil then 
          msg = "Name: "..name.."; Distance: "..distanceR.."m away"
          SendChat(msg, "GROUP")
        else
          local guildname = "["..guild.."]"..name
          if guild ~= "" then
            msg = "Faction: "..faction.. "; Name: ".. guildname.. "; Ship: ".. ship.."; Distance: "..distanceR.."m away."
            SendChat(msg, "GROUP")
          else
            msg = "Faction: "..faction.. "; Name: ".. name.. "; Ship: ".. ship.."; Distance: "..distanceR.."m away."
            SendChat(msg, "GROUP")
          end
        end
    end
end

--Creates the function to share your target to guild
function ShareTarget.sharetargetguild()
  local name, health, distance, factionid, guild, ship = GetTargetInfo()
  local msg = ""
  local faction = FactionName[factionid]


  if name ~= nil then
    local distanceR = ShareTargetFunc.rounding(distance)
      if health == nil then 
        msg = "Name: "..name.."; Distance:"..distanceR.."m away"
        SendChat(msg, "GUILD")
      else
        local guildname = "["..guild.."]"..name
        if guild ~= "" then
          msg = "Faction: "..faction.. "; Name: ".. guildname.. "; Ship: ".. ship.."; Distance:"..distanceR.."m away."
          SendChat(msg, "GUILD")
        else
          msg = "Faction: "..faction.. "; Name: ".. name.. "; Ship: ".. ship.."; Distance: "..distanceR.."m away."
          SendChat(msg, "GUILD")
        end
      end
  end
end

--Creates the function to share your target to your active channel
function ShareTarget.sharetargetchannel()
  local name, health, distance, factionid, guild, ship = GetTargetInfo()
  local msg = ""
  local faction = FactionName[factionid]


  if name ~= nil then
    local distanceR = ShareTargetFunc.rounding(distance)
      if health == nil then 
        msg = "Name: "..name.."; Distance: "..distanceR.."m away"
        SendChat(msg, "CHANNEL")
      else
        local guildname = "["..guild.."]"..name
        if guild ~= "" then
          msg = "Faction: "..faction.. "; Name: ".. guildname.. "; Ship: ".. ship.."; Distance: "..distanceR.."m away."
          SendChat(msg, "CHANNEL")
        else
          msg = "Faction: "..faction.. "; Name: ".. name.. "; Ship: ".. ship.."; Distance: "..distanceR.."m away."
          SendChat(msg, "CHANNEL")
        end
      end
  end
end


RegisterUserCommand("sharetargetgroup", ShareTarget.sharetargetgroup)
RegisterUserCommand("sharetargetguild", ShareTarget.sharetargetguild)
RegisterUserCommand("sharetargetchannel", ShareTarget.sharetargetchannel)